Name:          nasm
Version:       2.11.05
Release:       1mamba
Summary:       The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://sf.net/projects/nasm/
Source:        http://www.nasm.us/pub/nasm/releasebuilds/%{version}/nasm-%{version}.tar.xz
Patch0:        nasm-2.10.09-fix-texi-rdoff.patch
License:       LGPL
Requires(post):%{__install_info}
Obsoletes:     nasm-doc
Provides:      nasm-doc = %{?epoch:%epoch:}%{version}-%{release}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: tetex
%endif
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel 80x86 microprocessor series, using primarily the traditional Intel instruction mnemonics and syntax.

%package rdoff
Summary:       Tools for the RDOFF binary format, sometimes used with NASM.
Group:         Development/Tools

%description rdoff
Tools for the operating-system independent RDOFF binary format, which is sometimes used with the Netwide #Assembler (NASM).
These tools include linker, library manager, loader, and information dump.

#%package doc
#Summary:       Extensive documentation for NASM
#Group:         Development/Languages
#
#%description doc
#Extensive documentation for the Netwide Assembler, NASM, in HTML, info, PostScript and text formats.

%prep
%setup -q
%patch0 -p1

%build
%configure
%make everything \
%if "%{stage1}" == "1"
PSTOPDF=true
%endif

%if "%{stage1}" != "1"
#make -C doc nasmdoc.dvi
make -C rdoff/doc info html pdf
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
install -d %{buildroot}{%_bindir,%_mandir/man1,%_infodir}

%makeinstall INSTALLROOT=%{buildroot}
%makeinstall INSTALLROOT=%{buildroot} install_rdf

%if "%{stage1}" != "1"
install -d %{buildroot}%{_prefix}/tempdoc
make -C doc install \
   INSTALLROOT="%{buildroot}" \
   docdir="%{_prefix}/tempdoc"

cp -a %{buildroot}/usr/tempdoc/html \
      %{buildroot}/usr/tempdoc/nasmdoc.{txt,pdf} .
#gzip -9f nasmdoc.txt
rm -rf %{buildroot}%{_prefix}/tempdoc

install -D -m644 rdoff/doc/rdoff.info \
   %{buildroot}/%{_infodir}/rdoff.info
#gzip -9f rdoff/doc/*.txt
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%if "%{stage1}" != "1"
%post
%install_info nasm.info
exit 0

%preun
%uninstall_info nasm.info
exit 0

%post rdoff
%install_info nasm.info
exit 0

%preun rdoff
%uninstall_info nasm.info
exit 0
%endif

%files
%defattr(-,root,root)
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_mandir}/man1/*
%if "%{stage1}" != "1"
%{_infodir}/nasm.info*
%doc html nasmdoc.txt
%doc nasmdoc.pdf
%endif
%doc AUTHORS ChangeLog
%doc CHANGES LICENSE README TODO

%files rdoff
%defattr(-,root,root)
%{_bindir}/ldrdf
%{_bindir}/rdf2bin
%{_bindir}/rdf2com
%{_bindir}/rdf2ihx
%{_bindir}/rdf2ith
%{_bindir}/rdf2srec
%{_bindir}/rdfdump
%{_bindir}/rdflib
%{_bindir}/rdx
%if "%{stage1}" != "1"
%{_infodir}/rdoff.info.*
%doc rdoff/doc/rdoff rdoff/doc/*.txt rdoff/doc/rdoff.pdf
%endif

#%files doc
#%defattr(-,root,root)
#%doc html nasmdoc.txt.gz nasmdoc.pdf

%changelog
* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 2.11.05-1mamba
- automatic version update by autodist

* Thu Feb 20 2014 Automatic Build System <autodist@mambasoft.it> 2.11.01-1mamba
- automatic version update by autodist

* Wed Jan 08 2014 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 2.10.09-1mamba
- automatic version update by autodist

* Sun Jan 06 2013 Automatic Build System <autodist@mambasoft.it> 2.10.07-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 2.10.06-1mamba
- update to 2.10.06

* Sun Aug 09 2009 Automatic Build System <autodist@mambasoft.it> 2.07-1mamba
- automatic update by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.05.01-1mamba
- automatic update by autodist

* Thu May 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.02-1mamba
- update to 2.02

* Tue Dec 04 2007 Aleph0 <aleph0@openmamba.org> 2.00-2mamba
- new subpackage rdoff with some tools for the RDOFF binary format

* Tue Dec 04 2007 Aleph0 <aleph0@openmamba.org> 2.00-1mamba
- update to 2.00
- removed patch against CVE-2005-1194 (merged upstream)

* Thu May 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.98.39-1qilnx
- update to version 0.98.39 by autospec (CAN-2004-1287 fixed in this release)
- security fix QSA-2005-061 (CAN-2005-1194)

* Mon Jan 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.98.38-3qilnx
- added documentation

* Fri Jan 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.98.38-2qilnx
- security fix QSA-2005-002 (CAN-2004-1287)
- specfile cleanups

* Fri Dec 19 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.98.38-1qilnx
- new version build

* Tue Apr 08 2003 Luca Tinelli <luca.tinelli@qinet.it>
- first build
